<?xml version="1.0" encoding="UTF-8"?>
<!-- 
	Mobile Broadcast - Reception Report - File Distribution
		version 	- 1.0.1
		date    	- 09 Jan 2013
		
    FILE INFORMATION

	OMA Permanent Document
	   File: OMA-SUP-XSD_bcast_fd_receptionreport-V1_0_1-20130109-A 
	   Type: Text - Schema Description

	Public Reachable Information
	   Path: http://www.openmobilealliance.org/tech/profiles
	   Name: bcast_fd_receptionreport-v1_0_1.xsd

    NORMATIVE INFORMATION

	 Information about this file can be found in the latest revision of
	    OMA-TS-BCAST_Distribution-V1_0
	This is available at http://www.openmobilealliance.org/

	Send comments to technical-comments@mail.openmobilealliance.org

CHANGE HISTORY

26092012 Incorporation of agreed Class 2 CR "OMA-BCAST-v1_1-2010-0136-CR_Fix_contents_of_OMA_SUP_XSD_bcast_fd_receptionreport_V1_0_in_ERP"
09012013 Notified to TP Ref OMA-TP-2013-0001-INP_BCAST_V1_0_1_ERP_for_notification

LEGAL DISCLAIMER

  Use of this document is subject to all of the terms and conditions
  of the Use Agreement located at
  http://www.openmobilealliance.org/UseAgreement.html,
  provided, however, that section (d) under "Documents - Terms 
  of Use" which states, "no modifications are made to such 
  Documents" does not apply to your use.

  The Open Mobile Alliance authorizes you to copy this document, 
  provided that you retain all copyright and other proprietary  
  notices contained in the original materials on any copies of the 
  materials and  that you comply strictly with these terms. This 
  copyright permission does not constitute an endorsement of the 
  products or services. The Open Mobile Alliance assumes no 
  responsibility for errors or omissions in this document.


  Each Open Mobile Alliance member has agreed to use reasonable
  endeavors to inform the Open Mobile Alliance in a timely manner of
  Essential IPR as it becomes aware that the Essential IPR is related
  to the prepared or published specification.  However, the members
  do not have an obligation to conduct IPR searches.  The declared
  Essential IPR is publicly available to members and non-members of
  the Open Mobile Alliance and may be found on the "OMA IPR
  Declarations" list at http://www.openmobilealliance.org/ipr.html.
  The Open Mobile Alliance has not conducted an independent IPR review
  of this document and the information contained herein, and makes no
  representations or warranties regarding third party IPR, including
  without limitation patents, copyrights or trade secret rights.  This
  document may contain inventions for which you must obtain licenses
  from third parties before making, using or selling the inventions.
  Defined terms above are set forth in the schedule to the Open Mobile
  Alliance Application Form.

  NO REPRESENTATIONS OR WARRANTIES (WHETHER EXPRESS OR IMPLIED) ARE
  MADE BY THE OPEN MOBILE ALLIANCE OR ANY OPEN MOBILE ALLIANCE MEMBER
  OR ITS AFFILIATES REGARDING ANY OF THE IPR'S REPRESENTED ON THE "OMA
  IPR DECLARATIONS" LIST, INCLUDING, BUT NOT LIMITED TO THE ACCURACY,
  COMPLETENESS, VALIDITY OR RELEVANCE OF THE INFORMATION OR WHETHER OR
  NOT SUCH RIGHTS ARE ESSENTIAL OR NON-ESSENTIAL.

  THE OPEN MOBILE ALLIANCE IS NOT LIABLE FOR AND HEREBY DISCLAIMS ANY
  DIRECT, INDIRECT, PUNITIVE, SPECIAL, INCIDENTAL, CONSEQUENTIAL, OR
  EXEMPLARY DAMAGES ARISING OUT OF OR IN CONNECTION WITH THE USE OF
  DOCUMENTS AND THE INFORMATION CONTAINED IN THE DOCUMENTS.

  Copyright 2013 Open Mobile Alliance Ltd.  All Rights Reserved.
  Used with the permission of the Open Mobile Alliance Ltd. under the
  terms set forth above.
-->


<xs:schema xmlns="urn:oma:xml:bcast:fd:receptionreport:1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="urn:oma:xml:bcast:fd:receptionreport:1.0" elementFormDefault="qualified">
	<xs:element name="receptionReport" type="receptionReportType"/>
	<xs:complexType name="receptionReportType">
		<xs:choice>
			<xs:element name="receptionAcknowledgement" type="rackType"/>
			<xs:element name="statisticalReport" type="starType"/>
			<xs:any namespace="##other" processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="rackType">
		<xs:sequence>
			<xs:element name="fileURI" type="xs:anyURI" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="starType">
		<xs:sequence>
			<xs:element name="fileURI" type="fileUriType" minOccurs="0" maxOccurs="unbounded"/>
			<xs:any namespace="##other" processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:attribute name="sessionId" type="xs:string" use="optional"/>
		<xs:attribute name="sessionType" type="sessionTypeType" use="optional"/>
		<xs:attribute name="serviceId" type="xs:string" use="optional"/>
		<xs:attribute name="clientId" type="xs:string" use="optional"/>
		<xs:attribute name="serverURI" type="xs:anyURI" use="optional"/>
		<xs:anyAttribute namespace="##other" processContents="skip"/>
	</xs:complexType>
	<xs:simpleType name="sessionTypeType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="download"/>
			<xs:enumeration value="streaming"/>
			<xs:enumeration value="mixed"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:complexType name="fileUriType">
		<xs:simpleContent>
			<xs:extension base="xs:anyURI">
				<xs:attribute name="receptionSuccess" type="xs:boolean" use="optional" default="true"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
</xs:schema>
